import { Dispatch, SetStateAction } from 'react';
interface UseMonthPickerProps {
    value: Date;
    onChange: (date: Date) => void;
    preSelectionDate?: Date;
    setPreSelectionDate?: Dispatch<SetStateAction<Date>>;
    minDate?: Date;
    maxDate?: Date;
}
declare const useMonthPicker: (props: UseMonthPickerProps) => {
    monthsOnCalendar: Date[];
    prevDisabled: boolean;
    nextDisabled: boolean;
    decrementYear: () => void;
    incrementYear: () => void;
    selectMonth: (date: Date) => void;
    preSelectionDate: Date;
    isSameYearAndMonthAsSelected: (date: Date) => boolean;
    isGreaterThanMaxDate: (date: Date) => boolean;
    isLessThanMinDate: (date: Date) => boolean;
};
export default useMonthPicker;
